# opentl::tracker::InfoFilter::InfoFilter::InfoFilterData Class Reference

List of all members.

## Public Member Functions
void | deleteData ()
| InfoFilterData ()
void | resizeData (int sdim, int zdim)
| ~InfoFilterData ()
## Public Attributes
math::SquareMatrix * | covQ
| Matrix Q covariance (process noise).
math::Vector * | innov
| Innovation (global residual).
math::Vector * | invCovR
| Inverse of matrix R measurement noise NOTE: We already get invCovR from the measurements!
math::SquareMatrix * | matA
| State transition matrix A.
math::Matrix * | matH
| Matrix H = Jacobian of measurement model.
math::Matrix * | matHT
| Transpose of H.
math::SquareMatrix * | matI
| just the identity-matrix I
int | measDim
| dimensions of measurement and state
bool | mNullInfoMat
| flag: if the information matrix is zero, then no output can be computed (mean, covariance)!
math::SquareMatrix * | pPostInfoMat
| Inverse error covariance O(k+1|k+1) = Information matrix.
math::Vector * | pPostInfoVec
| Information vector = O(k+1|k+1)*x(k+1|k+1).
math::SquareMatrix * | pPriorInfoMat
| Inverse error covariance O(k+1|k) = Information matrix.
math::Vector * | pPriorInfoVec
| Information vector = O(k+1|k)*x(k+1|k).
int | stateLieDim
math::Matrix * | tmpMat
| temporary support matrices
math::Vector * | tmpVec

## Constructor & Destructor Documentation

opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::InfoFilterData | ( |  | ) |

opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::~InfoFilterData | ( |  | ) |

## Member Function Documentation

void opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::deleteData | ( |  | ) |

void opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::resizeData | ( | int | sdim,
|  | int | zdim |
| ) |  |  |

## Member Data Documentation

math::SquareMatrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::covQ

Matrix Q covariance (process noise).

math::Vector* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::innov

Innovation (global residual).

math::Vector* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::invCovR

Inverse of matrix R measurement noise NOTE: We already get invCovR from the measurements!

math::SquareMatrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::matA

State transition matrix A.

math::Matrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::matH

Matrix H = Jacobian of measurement model.

math::Matrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::matHT

Transpose of H.

math::SquareMatrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::matI

just the identity-matrix I

int opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::measDim

dimensions of measurement and state

bool opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::mNullInfoMat

flag: if the information matrix is zero, then no output can be computed (mean, covariance)!

math::SquareMatrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::pPostInfoMat

Inverse error covariance O(k+1|k+1) = Information matrix.

math::Vector* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::pPostInfoVec

Information vector = O(k+1|k+1)*x(k+1|k+1).

math::SquareMatrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::pPriorInfoMat

Inverse error covariance O(k+1|k) = Information matrix.

math::Vector* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::pPriorInfoVec

Information vector = O(k+1|k)*x(k+1|k).

int opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::stateLieDim

math::Matrix* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::tmpMat

temporary support matrices

math::Vector* opentl::tracker::InfoFilter::InfoFilter::InfoFilterData::tmpVec